package com.kingdee.eas.custom.erp;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.Context;
import com.kingdee.bos.BOSException;
import com.kingdee.eas.custom.erp.*;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;

public class synPersonDisableToErpFacade extends AbstractBizCtrl implements IsynPersonDisableToErpFacade
{
    public synPersonDisableToErpFacade()
    {
        super();
        registerInterface(IsynPersonDisableToErpFacade.class, this);
    }
    public synPersonDisableToErpFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IsynPersonDisableToErpFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("0C5069B4");
    }
    private synPersonDisableToErpFacadeController getController() throws BOSException
    {
        return (synPersonDisableToErpFacadeController)getBizController();
    }
    /**
     *同步禁用人员到星瀚-User defined method
     *@param startDate 开始时间  (格式: yyyy-mm-dd hh:mm:ss)
     *@param endDate 结束时间 (格式: yyyy-mm-dd hh:mm:ss)
     */
    public void synPersonDisableToErp(String startDate, String endDate) throws BOSException
    {
        try {
            getController().synPersonDisableToErp(getContext(), startDate, endDate);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}